<block-ui message="Loading..."></block-ui>

<h3 class="mb-3 mt-3 bold" id="heading">Application Data</h3>

<div class="">
  <div class="form-group row">
    <div class="col-xl-9 col-lg-12">
      <mat-expansion-panel expanded="true" class="panel-height">
        <div class="row">
          <div class="col-xl-5 col-lg-5 pl-3 d-flex align-items-center mat-panel-header">
            {{ name }}
          </div>
          <div class="col-xl-7 col-lg-7 d-flex justify-content-end align-items-center flex-wrap ">
            <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-3 d-flex mt-1 mb-1"
                                     value="active" (change)="titleActiveChanged($event)">
              <mat-button-toggle value="active" id="mat-button-toggle-11">Active</mat-button-toggle>
              <mat-button-toggle value="inactive" id="mat-button-toggle-12"> Inacitve</mat-button-toggle>
            </mat-button-toggle-group>
            <div class="ml-3 mb-1 mt-1">
              <button
                      *appAccess="moduleName;lookFor: 'C'"
                      mat-raised-button
                      color="accent"
                      (click)="openPopUp(0)">Add {{ name }}</button>
            </div>
          </div>
          <div class="col-xl-12 col-lg-12">
            {{ description }}
          </div>
          <div *ngIf="nodata" class="col-xl-12 d-flex mt-3">
            <kendo-grid [data]="gridView" [pageSize]="pageSize"
                        [skip]="skip"
                        [pageable]="true"
                        [columnMenu]="true"
                        (pageChange)="pageChange($event)"
                        [sortable]="{
        allowUnsort: allowUnsort,
        mode: multiple ? 'multiple' : 'single'
        }"
                        [sort]="sort"
                        (sortChange)="sortChange($event)" [sortable]="{
                allowUnsort: allowUnsort,
                mode: multiple ? 'multiple' : 'single'
              }" [sort]="sort">
              <kendo-grid-column field="categoryName" width="300">
                <ng-template kendoGridHeaderTemplate let-column let-columnIndex="columnIndex">
                  Name
                </ng-template>
                <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                  <h6>
                    <strong *ngIf="dataItem.isEditable">
                      <a href="javascript:void(0)"
                         (click)="openPopUp(dataItem.id)">
                        {{ dataItem.categoryName }}
                      </a>
                    </strong>
                    <strong *ngIf="!dataItem.isEditable" (click)="openPopUp(dataItem.id)"
                            class="cursor-pointer">
                      {{ dataItem.categoryName }}
                    </strong>
                  </h6>
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="allLocationName" title="Location">
              </kendo-grid-column>
            </kendo-grid>
          </div>

          <div *ngIf="!nodata" class="row application-data-centered">
            <div class="col-xl-12">
              <div class="grid-child">
                <p><img src="../../../../../assets/Add%20Referral.png"/></p>
                <p>
                  <strong> {{ title }}</strong>
                </p>
                <p>
                  {{ description }}
                </p>
                <p>
                  <strong>
                    <a href="javascript:void(0)" (click)="openPopUp(0)">
                      Add {{ name }}
                    </a>
                  </strong>
                </p>
              </div>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </div>

    <div class="col-xl-3 col-lg-12">
      <div class="row">
        <div class="vertical-menu w-100" *ngFor="let d of noDataMessage">
          <a href="javascript:void(0)" (click)="clickTabs(d.id, d.name, 0)"
             [ngClass]="d.isActive === true ? 'active' : 'inactive'">{{ d.name }}</a>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- DIALOG -->
<kendo-dialog
  *ngIf="opened" [width]="600" (close)="close()"
  autoFocusedElement="#nocancel">

  <div style="padding: 0 4px">
    <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
      <div class="dialog-title text-uppercase flex-fill">
        <span>
          {{applicationId === 0 ? 'Add' : 'Edit'}} {{ name | uppercase }}
        </span>
      </div>
      <button mat-icon-button
              class="modalClosebtn"
              (click)="close()"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
              aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div style="padding: 20px 0;">
      <form [formGroup]="applicationDataForm">
        <div class="col-xl-12 d-flex align-items-center  mb-3">
          <h5 class="m-0">Status</h5>
          <kendo-switch [onLabel]="'Active'" [offLabel]="'Inactive'" formControlName="status" class="wider-switch ml-2">
          </kendo-switch>
        </div>
        <div class="col-xl-12 d-flex justify-content-end">
          <span class="hazel-text mb-1">Required</span>
        </div>
        <div class="col-xl-12 d-block align-items-center">
          <mat-form-field [appearance]="apperance" class="full-width">
            <mat-label>Title</mat-label>
            <input matInput required placeholder="Title" formControlName="categoryName" appCharLimit
                   [max]="getMaxLength" [frmGroup]="applicationDataForm" fcName="categoryName"
                   (keydown)="restricateSpecCharNum($event)"/>

            <mat-error *ngIf="applicationDataForm.get('categoryName').hasError('required')">
              Title is required.
            </mat-error>

            <mat-error *ngIf="applicationDataForm.get('categoryName').hasError('exceedLimit')">
              {{applicationDataForm.get('categoryName').getError('exceedLimit')}}
            </mat-error>
          </mat-form-field>
        </div>

        <!-- Location  -->
        <div class="col-xl-12 d-flex align-items-center mb-3" *ngIf="!isDefaultData">
          <h5 class="m-0">Apply to location</h5>
          <kendo-switch formControlName="isAllLocation" [onLabel]="'All'" [offLabel]="'Selected'"
                        (valueChange)="onApplyLocationChanged($event)" class="ml-2"></kendo-switch>
        </div>
        <div *ngIf="
        (applicationDataForm.get('isAllLocation').value === false ||
        applicationDataForm.get('isAllLocation').value === null) &&
        !isDefaultData">
          <div class="col-xl-12 bold mb-1">
            <span class="field-custom-label  ">Location*</span>
          </div>
          <div class="col-xl-12 d-flex align-items-center" *ngIf="
        applicationDataForm.get('isAllLocation').value == false ||
        applicationDataForm.get('isAllLocation').value === null
      ">
            <kendo-multiselect [data]="locationData" placeholder="Location Name" formControlName="locationName"
                               style="height: 104px" [textField]="'locationName'" [valueField]="'locationId'">
            </kendo-multiselect>
          </div>
          <mat-error *ngIf="applicationDataForm.get('locationName').hasError('required')">
            Location is required.
          </mat-error>
        </div>
      </form>
    </div>

    <mat-divider></mat-divider>
    <div class="text-right w-100" style="margin-top: 19px;">
      <button mat-stroked-button #btnRef="matButton" color="accent"
              class="mr-3 cancelbuttons btnheight dialog-btn"
              (click)="close()" id="nocancel">
        <span>Cancel</span>
      </button>
      <button mat-raised-button color="accent" class="btnheight dialog-btn" [disabled]="applicationDataForm.invalid"
              *appAccess="moduleName;lookFor: ['C', 'E', 'D']" (click)="onSaveData()">
        <span>Save</span>
      </button>
    </div>
  </div>
</kendo-dialog>
<!-- DIALOG -->
